package com.jsowell.pile.service.impl;

import com.google.common.collect.Lists;
import com.jsowell.common.util.DateUtils;
import com.jsowell.pile.domain.PileLicenceInfo;
import com.jsowell.pile.mapper.PileLicenceInfoMapper;
import com.jsowell.pile.service.IPileLicenceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 充电桩证书信息Service业务层处理
 * 
 * @author jsowell
 * @date 2022-08-27
 */
@Service
public class PileLicenceInfoServiceImpl implements IPileLicenceInfoService 
{
    @Autowired
    private PileLicenceInfoMapper pileLicenceInfoMapper;

    /**
     * 查询充电桩证书信息
     * 
     * @param id 充电桩证书信息主键
     * @return 充电桩证书信息
     */
    @Override
    public PileLicenceInfo selectPileLicenceInfoById(Long id)
    {

        return pileLicenceInfoMapper.selectPileLicenceInfoById(id);
    }

    public static void main(String[] args) {
        String applyTime = "00:00-05:00,10:00-13:00,10:00-13:00,10:00-13:00";
        List<String> timeList = Lists.newArrayList(applyTime.split(","));
        System.out.println(timeList);
        for (String s : timeList) {
            System.out.println(s);
        }
    }

    /**
     * 查询充电桩证书信息列表
     * 
     * @param pileLicenceInfo 充电桩证书信息
     * @return 充电桩证书信息
     */
    @Override
    public List<PileLicenceInfo> selectPileLicenceInfoList(PileLicenceInfo pileLicenceInfo)
    {
        return pileLicenceInfoMapper.selectPileLicenceInfoList(pileLicenceInfo);
    }

    /**
     * 新增充电桩证书信息
     * 
     * @param pileLicenceInfo 充电桩证书信息
     * @return 结果
     */
    @Override
    public int insertPileLicenceInfo(PileLicenceInfo pileLicenceInfo)
    {
        pileLicenceInfo.setCreateTime(DateUtils.getNowDate());
        return pileLicenceInfoMapper.insertPileLicenceInfo(pileLicenceInfo);
    }

    /**
     * 修改充电桩证书信息
     * 
     * @param pileLicenceInfo 充电桩证书信息
     * @return 结果
     */
    @Override
    public int updatePileLicenceInfo(PileLicenceInfo pileLicenceInfo)
    {
        pileLicenceInfo.setUpdateTime(DateUtils.getNowDate());
        return pileLicenceInfoMapper.updatePileLicenceInfo(pileLicenceInfo);
    }

    /**
     * 批量删除充电桩证书信息
     * 
     * @param ids 需要删除的充电桩证书信息主键
     * @return 结果
     */
    @Override
    public int deletePileLicenceInfoByIds(Long[] ids)
    {
        return pileLicenceInfoMapper.deletePileLicenceInfoByIds(ids);
    }

    /**
     * 删除充电桩证书信息信息
     * 
     * @param id 充电桩证书信息主键
     * @return 结果
     */
    @Override
    public int deletePileLicenceInfoById(Long id)
    {
        return pileLicenceInfoMapper.deletePileLicenceInfoById(id);
    }
}
